#!/bin/bash

if [ `uname` == "Darwin" ]; then
  export LDFLAGS="${LDFLAGS} -Wl,-rpath,$PREFIX/lib"
else
  export CXXFLAGS="${CXXFLAGS} -lrt"
fi

if [[ "$CONDA_BUILD_CROSS_COMPILATION" != "1" ]]; then
  TRY_RUN_OUTPUTS=""
else
  TRY_RUN_OUTPUTS="-DHAVE_ACCESS_DRIVER_EXITCODE=1 -DHAVE_ACCESS_DRIVER_EXITCODE__TRYRUN_OUTPUT=\"\" -DHAVE_EXCEL_DRIVER_EXITCODE=1 -DHAVE_EXCEL_DRIVER_EXITCODE__TRYRUN_OUTPUT=\"\" -DHAVE_ODBC_TEXT_DRIVER_EXITCODE=1 -DHAVE_ODBC_TEXT_DRIVER_EXITCODE__TRYRUN_OUTPUT=\"\""
fi

mkdir build
cd build
cmake ${CMAKE_ARGS} -DCMAKE_INSTALL_PREFIX=$PREFIX -DCMAKE_BUILD_TYPE=None \
 -DCMAKE_FIND_FRAMEWORK=LAST -DCMAKE_VERBOSE_MAKEFILE=ON -Wno-dev \
 -DBUILD_SHARED_LIBS=True ${TRY_RUN_OUTPUTS} ..

make
# make test
make install
